Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157011 - Drag and drop should indicate destination when mouse is over the destination
Summary: Drag and drop should indicate destination when mouse is over the destination
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 22:27 UTC by Paul Kennedy
Modified: 2015-04-20 00:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-17 13:08:17 UTC


Attachments (Terms of Use)

Description Paul Kennedy 2005-05-05 22:27:06 UTC
Description of problem:
At the Cluster Management tab, when dragging a service to a node, there is no
indication of which node is selected.

Version-Release number of selected component (if applicable):
system-config-cluster 0.9.48 

How reproducible:
At the Cluster Management tab, disable the service to move, then drag it to one
of the nodes and observe.

Steps to Reproduce:
1.  At the Services area, click a service.
2.  Click Disable.
3.  Drag the disabled service to a node in the Members area.
4.  Observe that there is no indication of which node is the destination. For
    example, none of the nodes gets highlighted when the mouse cursor is above
    the node.
  
Actual results:
See Step 4 in preceding text.

Expected results:
A positive indication (for example, highlighting the node under the mouse
cursor) that indicates the destination. 

Additional info:

Comment 1 Jim Parsons 2005-05-17 13:08:17 UTC
I do not believe that this facility is currently available in the gtk.TreeView.
I cabn write something that does this, but not for this release -- while this is
good criticism, it is not possible to do quickly so I am marking as deferred. 

One additional note, while similar failings in a previous version of the code is
NOT an excuse for current behavior, the redhat-config-cluster code does not
highlight the target row either. 


Note You need to log in before you can comment on or make changes to this bug.